[Elgg 1.8-1.12 & 2.X: iZAP Videos - revised edition by iionly] v1.8.6

Release Notes

  • Display API key and Server analysis tabs on plugin settings page also when on-server video option is disabled,
  • On deletion of off-server video entries the pdo_sqlite extension is no longer required (by no longer calling the video conversion queue and trash unnecessarily in these cases),
  • Adding of Youtube videos now also works with short urls ("youtu.be").
  • Installed this version on new v1.8 today...

    Youtube Url import is hanging................................................

    v1.12 functions great...

    youtube change something making this version obsolete for youtube url lists???

  • I don't think it's related to any "recent changes" youtube might have made... or not. Version 1.8.6 of iZAP Videos is over 4 years old. Still I think the API has not changed. What I improved in more recent version of the plugin (for Elgg 2.3) is that I improved error handling on adding youtube videos and having less trouble regarding different image resolutions available for the video thumbnail image imported from youtube.

    I can no longer support any Elgg 1.x version at all. It's a time issue for me - or rather lack of - as I prefer spending the few time I have available rather on supporting Elgg versions still supported, i.e. 2.3 and 3.x. I can't even use any Elgg version pre Elgg 2.3 anymore because I've upgraded to PHP 7 to be able to work with Elgg 3.x. I can't recommend using any Elgg 1.x version anymore. Elgg 1.x is no longer supported, PHP 5 required by Elgg 1.x is no longer supported. And I don't see anyone still supporting any other plugins for Elgg 1.x either. If you still want to stay on Elgg 1.x - even worse 1.8 - I'm afraid you will be mostly on your own. Instead of fixing stuff to work on Elgg 1.8 or even backporting stuff to work on it it might be much better in the long run spending the time to be able to upgrade to newer versions of Elgg. I'm aware it's not simple (having done the same only recently) but sooner or later there's no other way!

  • Comprehend that 1.8 is so absurdly obsolete for you...

    most likely it is some plugin conflicting w/ youtube video on this server build...

    because realizing no video library plugin is functioning correctly...

    ~shrug~

     

Stats

  • Category: Media
  • License: GNU General Public License (GPL) version 2
  • Updated: 2019-2-26
  • Downloads: 6205
  • Recommendations: 19

Other Projects

View iionly's plugins